// 004 u_find_memo
// 11 jun 2005

// -- (C) Felix John COLIBRI 2004
// -- documentation: http://www.felix-colibri.com

(*$r+*)

unit u_05_search_memo_demo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FileCtrl, ExtCtrls, ComCtrls, u_c_search_memo;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    exit_: TButton;
    clear_: TButton;
    Panel2: TPanel;
    search_memo_panel_: TPanel;
    Memo1: TMemo;
    SearchMemo1: TSearchMemo;
    load_: TButton;
    procedure FormCreate(Sender: TObject);
    procedure clear_Click(Sender: TObject);
    procedure exit_Click(Sender: TObject);
    procedure load_Click(Sender: TObject);
  private
  public
  end;

var
  Form1: TForm1;

  implementation
    uses u_c_log, u_c_display
        ;

    {$R *.DFM}

    // -- events

    procedure TForm1.FormCreate(Sender: TObject);
      begin
        initialize_display(Memo1.Lines);
        initialize_default_log;
      end; // FormCreate

    procedure TForm1.clear_Click(Sender: TObject);
      begin
        clear_display;
      end; // clear_Click

    procedure TForm1.exit_Click(Sender: TObject);
      begin
        Close;
      end; // exit_Click

    procedure TForm1.load_Click(Sender: TObject);
      begin
        with tStringList.Create do
        begin
          LoadFromFile('..\04_component\u_c_search_memo.pas');
          SearchMemo1.Text:= Text;
          SearchMemo1.SearchText:= 'begin';
          Free;
        end;
      end;

end.


